FPUTWS(3)

NAME
fputws - write a wide character string to a FILE stream

SYNOPSIS
#include <wchar.h>

int fputws(const wchar_t *ws, FILE *stream);

DESCRIPTION
The fputws function is the wide-character equivalent of the fputs function. It writes the wide character string starting at ws, up to but not including the terminating L'\0' character, to stream.

For a non-locking counterpart, see unlocked_stdio(3).

RETURN VALUE
The fputws function returns a nonnegative integer if the operation was successful, or -1 to indicate an error.

CONFORMING TO
ISO/ANSI C, UNIX98

NOTES
The behaviour of fputws depends on the LC_CTYPE category of the current locale.

In the absence of additional information passed to the fopen call, it is reasonable to expect that fputws will actually write the multibyte string corresponding to the wide character string ws.

SEE ALSO
fputwc(3), unlocked_stdio(3)